ghc-9.6.3: The GHC API

Safe Haskell | Safe-Inferred
Language | Haskell2010

GHC.Driver.LlvmConfigCache

Description

LLVM config cache

Synopsis

- data LlvmConfigCache
- initLlvmConfigCache :: FilePath -> IO LlvmConfigCache
- readLlvmConfigCache :: LlvmConfigCache -> IO LlvmConfig

# Documentation

data LlvmConfigCache Source #

Cache LLVM configuration read from files in top_dir

See Note [LLVM configuration] in GHC.CmmToLlvm.Config

Currently implemented with unsafe lazy IO. But it could be implemented with an IORef as the exposed interface is in IO.

initLlvmConfigCache :: FilePath -> IO LlvmConfigCache Source #

readLlvmConfigCache :: LlvmConfigCache -> IO LlvmConfig Source #